"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.labelDay = void 0;
exports.labelDayButton = labelDayButton;
const index_js_1 = require("../lib/index.js");
/**
 * Return an ARIA label for the day button.
 *
 * @group Labels
 */
function labelDayButton(date, modifiers, options, dateLib = index_js_1.dateLib) {
    let label = dateLib.format(date, "PPPP", options);
    if (modifiers.today) {
        label = `Today, ${label}`;
    }
    if (modifiers.selected) {
        label = `${label}, selected`;
    }
    return label;
}
/** @deprecated Use `labelDayButton` instead. */
exports.labelDay = labelDayButton;
//# sourceMappingURL=labelDayButton.js.map