import React from "react";
/**
 * Render the button for a day in the calendar.
 *
 * When not interactive, DayPicker will render a `DayContent` component instead
 * of a `DayButton` component.
 *
 * Use the `components` prop to swap this component with a custom one.
 *
 * @group Components
 * @see https://daypicker.dev/next/advanced-guides/custom-components
 */
export function DayButton(props) {
    const { day, modifiers, focused, ...buttonProps } = props;
    const ref = React.useRef(null);
    React.useEffect(() => {
        if (focused)
            ref.current?.focus();
    }, [focused]);
    return React.createElement("button", { ref: ref, ...buttonProps });
}
//# sourceMappingURL=DayButton.js.map