/**
 * The default formatter for the week numbers.
 *
 * @param weekNumber - The week number to format. `0` when heading of the week
 *   numbers.
 * @group Formatters
 */
export function formatWeekNumber(weekNumber) {
    if (weekNumber === 0) {
        return `#`;
    }
    if (weekNumber < 10) {
        return `0${weekNumber.toLocaleString()}`;
    }
    return `${weekNumber.toLocaleString()}`;
}
//# sourceMappingURL=formatWeekNumber.js.map