import { dateLib as defaultDateLib } from "../lib/index.js";
/**
 * Return an ARIA label for the day button.
 *
 * @group Labels
 */
export function labelDayButton(date, modifiers, options, dateLib = defaultDateLib) {
    let label = dateLib.format(date, "PPPP", options);
    if (modifiers.today) {
        label = `Today, ${label}`;
    }
    if (modifiers.selected) {
        label = `${label}, selected`;
    }
    return label;
}
/** @deprecated Use `labelDayButton` instead. */
export const labelDay = labelDayButton;
//# sourceMappingURL=labelDayButton.js.map