import type { LabelOptions } from "../lib/dateLib.js";
import { dateLib as defaultDateLib } from "../lib/index.js";
import type { DateLib } from "../types/index.js";

/**
 * Return he default ARIA label for the Weekday element.
 *
 * @group Labels
 */
export function labelWeekday(
  date: Date,
  options?: LabelOptions,
  dateLib: DateLib = defaultDateLib
): string {
  return dateLib.format(date, "cccc", options);
}
